Package org.apache.ignite.internal.util.lang.gridfunc

## Class TransformMapView2<K,​V,​V1>

- java.lang.Object
- - java.util.AbstractMap<K,​V>
  - - org.apache.ignite.internal.util.GridSerializableMap<K,​V1>
    - - org.apache.ignite.internal.util.lang.gridfunc.TransformMapView2<K,​V,​V1>

Type Parameters:
  `K` - Type of the key.
  `V` - Type of the input map value.
  `V1` - Type of the output map value.

All Implemented Interfaces:
  `Serializable`, `Map<K,​V1>`

    public class TransformMapView2<K,​V,​V1>
    extends GridSerializableMap<K,​V1>

Light-weight view on given map with provided predicate and clos.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K extends Object,​V extends Object>, AbstractMap.SimpleImmutableEntry<K extends Object,​V extends Object>`

### Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K extends Object,​V extends Object>`

### Constructor Summary

Constructors
`TransformMapView2​(Map<K,​V> map, IgniteBiClosure<K,​V,​V1> clos, IgnitePredicate<? super K>... preds)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `containsKey​(Object key)`
`@NotNull Set<Map.Entry<K,​V1>>` `entrySet()`
`V1` `get​(Object key)`
`boolean` `isEmpty()`
`V1` `put​(K key, V1 val)`
`V1` `remove​(Object key)`
`String` `toString()`

### Methods inherited from class java.util.AbstractMap

`clear, clone, containsValue, equals, hashCode, keySet, putAll, size, values`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

### Constructor Detail

#### TransformMapView2

    public TransformMapView2​(Map<K,​V> map,
                             IgniteBiClosure<K,​V,​V1> clos,
                             IgnitePredicate<? super K>... preds)

Parameters:
  `map` - Input map that serves as a base for the view.
  `clos` - Transformer for map value transformation.
  `preds` - Optional predicates. If predicates are not provided - all will be in the view.

### Method Detail

#### entrySet

    @NotNull
    public @NotNull Set<Map.Entry<K,​V1>> entrySet()

Specified by:
  `entrySet` in interface `Map<K,​V>`
Specified by:
  `entrySet` in class `AbstractMap<K,​V1>`

#### isEmpty

    public boolean isEmpty()

Specified by:
  `isEmpty` in interface `Map<K,​V>`
Overrides:
  `isEmpty` in class `AbstractMap<K,​V1>`

#### get

    @Nullable
    public V1 get​(Object key)

Specified by:
  `get` in interface `Map<K,​V>`
Overrides:
  `get` in class `AbstractMap<K,​V1>`

#### put

    @Nullable
    public V1 put​(K key,
                  V1 val)

Specified by:
  `put` in interface `Map<K,​V>`
Overrides:
  `put` in class `AbstractMap<K,​V1>`

#### remove

    public V1 remove​(Object key)

Specified by:
  `remove` in interface `Map<K,​V>`
Overrides:
  `remove` in class `AbstractMap<K,​V1>`

#### containsKey

    public boolean containsKey​(Object key)

Specified by:
  `containsKey` in interface `Map<K,​V>`
Overrides:
  `containsKey` in class `AbstractMap<K,​V1>`

#### toString

    public String toString()

Overrides:
  `toString` in class `AbstractMap<K,​V1>`